### Method

# GimpUi Ruler add_track_widget

since: 2.8

#### Declaration [src]

    void
    gimp_ruler_add_track_widget (
      GimpRuler* ruler,
      GtkWidget* widget
    )

#### Description [src]

Adds a “track widget” to the ruler. The ruler will connect to GtkWidget:motion-notify-event: on the track widget and update its position marker accordingly. The marker is correctly updated also for the track widget’s children, regardless of whether they are ordinary children of off-screen children.

Available since: 2.8

#### Parameters

`widget`

  Type: `GtkWidget`

  The track widget to add.

  The data is owned by the caller of the method.